#include <Wire.h>
#include <sCtrl.h>

void setup()
{
    Wire.begin();
    sCtrl.begin();
    Serial.begin(115200);
    pinMode(13, OUTPUT);
    digitalWrite(13, LOW);
}

void loop()
{
    byte led13;
  
    while(sCtrl.receive()) {
        if (sCtrl.src_addr == 0x0003 && sCtrl.data_len == 1)
        {
            if (sCtrl.pdata[0] == HIGH)
            {
                digitalWrite(13, HIGH);
                Serial.println("ON");
            }
            else if (sCtrl.pdata[0] == LOW)
            {
                digitalWrite(13, LOW);
                Serial.println("OFF");
            }
        }
    }
    
    if (digitalRead(13) == HIGH) {
        led13 = LOW;
    } else {
        led13 = HIGH;
    }
    
    sCtrl.send(0x0003, &led13, 1);
    delay(500);
}

